void getPPM(Image *R,Image *G,Image *B,char *filename){
  if(R==NULL||G==NULL||B==NULL){
    printf("Error !\n R,G,B should be allocated.\n");
    return;
  }
  FILE *fp = fopen(filename,"r");
  char P2[100];
  fscanf(fp,"%s",P2);
  int sx,sy,gray;
  fscanf(fp,"%d %d",&sx,&sy);
  fscanf(fp,"%d",&gray);
  R->allocate(sx,sy,gray);
  G->allocate(sx,sy,gray);
  B->allocate(sx,sy,gray);
  
  int i,j;
  for(i=0;i<R->sy;i++)
    for(j=0;j<R->sx;j++){
      
      int iR,iG,iB;
      fscanf(fp,"%d %d %d",&iR,&iG,&iB);
      R->img[i][j] = ((double)(iR));
      G->img[i][j] = ((double)(iG));
      B->img[i][j] = ((double)(iB));
      
      
    }
  fclose(fp);
}

int getIntformDouble(double dval,int gray){
  int val = ((int)(dval));
  if(fabs(val-dval)>=0.5)val++;
  if(val<0)val=0;
  if(val>gray)val=gray;
  return val;
}

void savePPM(Image *R,Image *G,Image *B,char *filename){
  FILE *fp = fopen(filename,"w");
  fprintf(fp,"P3\n");
  fprintf(fp,"%d %d\n",R->sx,R->sy);
  fprintf(fp,"%d\n",R->gray);
  int i,j;
  for(i=0;i<R->sy;i++)
    for(j=0;j<R->sx;j++){
      int valR = getIntformDouble(R->img[i][j],R->gray);
      int valG = getIntformDouble(G->img[i][j],G->gray);
      int valB = getIntformDouble(B->img[i][j],B->gray);
      fprintf(fp,"%d %d %d ",valR,valG,valB);
    }
  fprintf(fp,"\n");
  fclose(fp);
}
